XMLReader::moveToNextAttribute
XMLReader::open
XMLReader
PHP Manual

# XMLReader::next

(PHP 5 >= 5.1.0)

XMLReader::next — Move cursor to next node skipping all subtrees

### Description

public bool XMLReader::next ([ string `$localname` ] )

Positions cursor on the next node skipping all subtrees.

### Parameters

`localname`

  The name of the next node to move to.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLReader::moveToNextAttribute() - Position cursor on the next Attribute
- XMLReader::moveToElement() - Position cursor on the parent Element of current Attribute
- XMLReader::moveToAttribute() - Move cursor to a named attribute

XMLReader::moveToNextAttribute
XMLReader::open
XMLReader
PHP Manual